package cn.com.countrygarden.bi.main.dto;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class ReviewQuestionnaireProblemDTO {
	
	 /**
     * 问题id
     * 
     */
   
    private Integer id;
    /**
     * 问卷ID
     */
 	
    private Integer questionnaireId;
    /**
     * 问题分类ID
     */
 	
    private Integer questionnaireProblemClassificationId;
    
    /**
     * 问题分类名
     */
    private String name;
    /**
     * 题型ID
     */
 	
    private Integer questionTypeId;
    /**
     * 打分
     */
 	
    private Integer score;
    /**
     * 题目名称描述
     */
 	
    private String titleDescription;
    /**
     * 问答题的答案描述
     * 答案描述
     */
 	
    private String answerDescription;
    /**
     * 标识字段（0:false，1:true）
     */
 	
    private Integer flag;
    
    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
    private Date createdDate;
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getQuestionnaireId() {
		return questionnaireId;
	}
	public void setQuestionnaireId(Integer questionnaireId) {
		this.questionnaireId = questionnaireId;
	}
	public Integer getQuestionnaireProblemClassificationId() {
		return questionnaireProblemClassificationId;
	}
	public void setQuestionnaireProblemClassificationId(Integer questionnaireProblemClassificationId) {
		this.questionnaireProblemClassificationId = questionnaireProblemClassificationId;
	}
	public Integer getQuestionTypeId() {
		return questionTypeId;
	}
	public void setQuestionTypeId(Integer questionTypeId) {
		this.questionTypeId = questionTypeId;
	}
	public Integer getScore() {
		return score;
	}
	public void setScore(Integer score) {
		this.score = score;
	}
	public String getTitleDescription() {
		return titleDescription;
	}
	public void setTitleDescription(String titleDescription) {
		this.titleDescription = titleDescription;
	}
	public String getAnswerDescription() {
		return answerDescription;
	}
	public void setAnswerDescription(String answerDescription) {
		this.answerDescription = answerDescription;
	}
	public Integer getFlag() {
		return flag;
	}
	public void setFlag(Integer flag) {
		this.flag = flag;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Date getCreatedDate() {
		return createdDate;
	}
	public void setCreatedDate(Date createdDate) {
		this.createdDate = createdDate;
	}
    
    

}
